Subject: Re: bug#26749: stagit: do not patch example.sh shebang

From: Leo Famulari <[email-masked]>
Date: Tue, 2 May 2017 13:21:48 -0400

On Tue, May 02, 2017 at 04:15:52PM +0000, ng0 wrote:
> Hi,
> I just noticed that stagit's example.sh has a patched shebang.
> While I would assume that everyone notices when this fails,
> it would probably be good to not make too optimistic assumptions
> and keep #!/bin/sh in the file.

I think that we need a generic way to mask files from the shebang
patcher. There are several packages that includes files whose shebangs
are inappropriately patched.

We should merge these bugs:

<https://bugs.gnu.org/25304>
<https://bugs.gnu.org/25508>
<https://bugs.gnu.org/26749> (this bug)